CCC $Header: /home/evian/ROOTCVS/ORCA/OPA/SRC_ORCA/parameter.coupled.h,v 1.1.1.1.6.3 2002/02/04 13:45:29 maisonna Exp $
CCC---------------------------------------------------------------------
CCC
CCC                         PARAMETER COUPLED
CCC                       **********************
CCC
CCC
CCC  ATMOSPHERE/ICE/OCEAN COUPLING
CCC  GASTON TEAM (CERFACS, Meteo-France, LMD, LSCE, IPSL, LODYC)
CCC
CCC  PURPOSE :
CCC  ---------
CCC    Parameter statements to be included in routine files 
CCC
CC   MODIFICATIONS :
CC   -------------
CC	original : 98 (M.A. Foujols, M. Imbard)
CCC---------------------------------------------------------------------
CC
CC Ocean/Ice/Atmosphere Coupling
CC -----------------------------
CC
CC    jpmaxfld : Number of maximum fields exchange betwwen ocean and coupler
CC
      INTEGER jpmaxfld
      PARAMETER(jpmaxfld = 17)
CC
#if defined key_coupled
CC---------------------------------------------------------------------
CC
CC SIPC Method
CC -----------
CC L. Terray, S. Valcke (CERFACS)
CC
C@ -- jpbyteint : number of bytes per integer
C@ -- jpbyterea : number of bytes per real
C@ -- jpbytecha : number of bytes per character
C@
      INTEGER jpbyteint,jpbyterea, jpbytecha  
      PARAMETER (jpbyteint = 4)
      PARAMETER (jpbyterea = 8)
      PARAMETER (jpbytecha = 1)
C@
C@ -- jptest :  The models will test during 2*jptest seconds if the file 
C@              DUMMY_SIPC has been created by OASIS, signaling that the
C@              SHM pools are opened. After, they will abort.
C@
      INTEGER jptest
      PARAMETER(jptest = 100) 
CC
CC---------------------------------------------------------------------
CC
CC PIPE Method
CC -----------
CC L. Terray (CERFACS)
CC
      INTEGER jpread, jpwrit
      PARAMETER (jpread=0, jpwrit=1)
CC
CC---------------------------------------------------------------------
CC
CC Messag Passing Method (CLIM)
CC ----------------------------
CC
#include "../../CPL/include/clim.h"
C
      INTEGER*4 mpi_totproc(1:CLIM_MaxMod-1),mpi_nproc(0:CLIM_MaxMod-1)
C
      CHARACTER*6 cmpi_modnam(1:CLIM_MaxMod-1)
C
      common/CLIM_mpiclim/mpi_totproc, mpi_nproc, cmpi_modnam 
C
#endif
